Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "Hold released successfully",
"data": {
"reference": "ABCD12345678901234567890"
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "04",
"message": "The resource you are looking for does not exist",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Accounts
Release Hold
Release a hold on an account
PATCH
/
accounts
/
{account_number}
/
holds
/
{hold_reference}
Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "Hold released successfully",
"data": {
"reference": "ABCD12345678901234567890"
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "04",
"message": "The resource you are looking for does not exist",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Connection ID for the target bank
Unique key to ensure idempotency of the request
SHA-256 signature of client_secret + ";" + idempotency-key
Path Parameters
Account number in NUBAN format
Example:
"0123456789"
Unique reference of the hold to release
Example:
"HLD123456789"
Body
application/json
The status of the hold
Available options:
ACTIVE, INACTIVE Example:
"INACTIVE"